Edukiak
Indizea 🔎︎

# GoSub...Return instrukzioa

Etiketa bidez adierazita dagoen azpierrutina irekitzen du azpierrutina edo funtzioetatik. Etiketaren ondorengo instrukzioak hurrengo Return instrukziora iritsi arte exekutatzen dira. Ondoren, programak GoSub instrukzioaren atzetik datorren instrukzioarekin jarraitzen du.

## Sintaxia:

    ikusi parametroak

## Parametroak:

Sub/Function

instrukzio-blokea

Etiketa

instrukzio-blokea

GoSub etiketa

Exit Sub/Function

Etiketa:

instrukzio-blokea

Return

End Sub/Function

GoSub instrukzioak azpierrutina edo funtzio batean etiketaz adierazitako azpierrutina lokalari deitzen dio. Etiketaren izenaren ondoren bi puntu (":") jarri behar dira.

Programak Return instrukzioa aurkitzen badu aurretik GoSub gabe, LibreOffice Basic-ek errore-mezua itzuliko du. Hurrengo Return instrukziora iritsi aurretik programak azpierrutina edo funtzio bat utzi duela ziurtatzeko, erabili Exit Sub edo Exit Function.

Ondorengo adibidean GoSub eta Return instrukzioen erabilera erakusten da. Programaren atal bat bi aldiz exekutatzean, programak erabiltzaileak sartutako bi zenbakiren erro karratua kalkulatzen du.

## Adibidea:

    Sub ExampleGoSub
    Dim iInputa As Single
    Dim iInputb As Single
    Dim iInputc As Single
        iSarreraa = Int(InputBox("Sartu lehen zenbakia: ","Sarrerako zenbakia"))
        iSarrerab = Int(InputBox("Sartu bigarren zenbakia: ","Sarrerako zenbakia"))
        iInputc=iInputa
        GoSub SquareRoot
        Print iSarreraa; "(r)en erro karratua honakoa da: ";iSarrerac
        iInputc=iInputb
        GoSub SquareRoot
        Print iSarrerab;"(r)en erro karratua honakoa da: ";iSarrerac
        Exit Sub
    SquareRoot:
        iInputc=sqr(iInputc)
        Return
    End Sub